<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-diag.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-diag.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="mcm-diag_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a93a87db67e2cecf1aac8b4c8e8fc10ee"><td class="memItemLeft" align="right" valign="top"><a id="a93a87db67e2cecf1aac8b4c8e8fc10ee"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>DiagStatusBitmask</b> { <b>DIAG_NONE</b> = 0
, <b>DIAG_REPORT_WAIT</b> = 1 &lt;&lt; 0
, <b>DIAG_REPORT_MSG</b> = 1 &lt;&lt; 1
, <b>DIAG_FINISH</b> = 1 &lt;&lt; 31
 }</td></tr>
<tr class="separator:a93a87db67e2cecf1aac8b4c8e8fc10ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a17234cf57a85585a32a780e92ec48fb1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-diag_8h.html#a17234cf57a85585a32a780e92ec48fb1">mcm_diagnosis_init</a> (char *interfaceName)</td></tr>
<tr class="memdesc:a17234cf57a85585a32a780e92ec48fb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">trigger interface able to run diagnosis process.  <a href="mcm-diag_8h.html#a17234cf57a85585a32a780e92ec48fb1">More...</a><br /></td></tr>
<tr class="separator:a17234cf57a85585a32a780e92ec48fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81039c7ea0e6fd46a69b8498f791090"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-diag_8h.html#ae81039c7ea0e6fd46a69b8498f791090">mcm_query_diagnosis_info</a> (char *interfaceName, <a class="el" href="structmcm__diag__info.html">mcm_diag_info</a> *info, int max_message_len)</td></tr>
<tr class="memdesc:ae81039c7ea0e6fd46a69b8498f791090"><td class="mdescLeft">&#160;</td><td class="mdescRight">query diagnosis message when the diagnosis running.  <a href="mcm-diag_8h.html#ae81039c7ea0e6fd46a69b8498f791090">More...</a><br /></td></tr>
<tr class="separator:ae81039c7ea0e6fd46a69b8498f791090"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a17234cf57a85585a32a780e92ec48fb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17234cf57a85585a32a780e92ec48fb1">&#9670;&nbsp;</a></span>mcm_diagnosis_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_diagnosis_init </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>trigger interface able to run diagnosis process. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If mcmd diag success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="ae81039c7ea0e6fd46a69b8498f791090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae81039c7ea0e6fd46a69b8498f791090">&#9670;&nbsp;</a></span>mcm_query_diagnosis_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_query_diagnosis_info </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__diag__info.html">mcm_diag_info</a> *&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>max_message_len</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>query diagnosis message when the diagnosis running. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">info</td><td>(output) diag state/message.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If mcmd diag success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
